Subject: Re: regarding kgdb in ppc

From: sudheer <[email-masked]>
Date: Sun, 24 Dec 2006 13:50:26 +0530

Hello All

> Hi Shakti
>
>     > Then executed the command mkinird and copied and added  initrd
>     in the
>     > grub.conf - situation is same.
>     > I changed the root parameter to LABEL=/ - situation is same.
>
>     Basically, block device, initrd support for ramdisk should be enabled:
>       CONFIG_BLK_DEV_RAM
>       CONFIG_BLK_DEV_INITRD
>
>     Double check your .config file.
>
>
> I have checked all the above and are enabled in the config.  I have 
> tried changing the kernel command line argumnets.
>
> I get the same error saying:  (All from init/main.c)
> ----
> unable to open an initial console 
> No init found.  Try passing init= option to kernel.
-----
I am able to debug the kernel on x86 systems. Thanks for all the support.

Now I am working with  kgdb on mpc8540 board.
target kernel version - linux-2.6.13
KGDB version - linux-2.6.13-kgdb-2.3

I am getting the following error:

root@localhost sudheer]# /opt/eldk-3.1.1/usr/bin/ppc_85xx-gdb vmlinux
GNU gdb Red Hat Linux (6.3.0.0-1.21_1rh)
...
This GDB was configured as "--host=i386-redhat-linux --target=ppc-linux"...
(gdb) set remotebaud 115200
(gdb) target remote /dev/ttyS0
Remote debugging using /dev/ttyS0
Ignoring packet error, continuing...

On the target side, i could see that the target kernel kgdb waiting for 
host communication.

On the target board with  kernel version - linux-2.6.13 , I could boot 
it only after applying the patches:
1. Gain_Phy_update
2.patch-2.6.14-rc5
3.Phy_Platform_Update
The patch-2.6.14-rc5  when applied , deleted the file  
arch/ppc/platforms/pcore.c and
pcore.h but the kernel boots well.

In the KGDB version - linux-2.6.13-kgdb-2.3
The ppc-lite.patch tries to modify the pcore.c which is not available.

I am not sure wether this affects the serial communication establishment.

Please help me to solve this.

Thanks
Sudheer